Skip to main content
GET
/
api
/
v1
/
series
/
{seriesId}
Get series details
curl --request GET \
  --url https://demo.komga.org/api/v1/series/{seriesId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "booksCount": 123,
  "booksInProgressCount": 123,
  "booksMetadata": {
    "authors": [
      {
        "name": "<string>",
        "role": "<string>"
      }
    ],
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "summary": "<string>",
    "summaryNumber": "<string>",
    "tags": [
      "<string>"
    ],
    "releaseDate": "2023-12-25"
  },
  "booksReadCount": 123,
  "booksUnreadCount": 123,
  "created": "2023-11-07T05:31:56Z",
  "deleted": true,
  "fileLastModified": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "lastModified": "2023-11-07T05:31:56Z",
  "libraryId": "<string>",
  "metadata": {
    "ageRatingLock": true,
    "alternateTitles": [
      {
        "label": "<string>",
        "title": "<string>"
      }
    ],
    "alternateTitlesLock": true,
    "created": "2023-11-07T05:31:56Z",
    "genres": [
      "<string>"
    ],
    "genresLock": true,
    "language": "<string>",
    "languageLock": true,
    "lastModified": "2023-11-07T05:31:56Z",
    "links": [
      {
        "label": "<string>",
        "url": "<string>"
      }
    ],
    "linksLock": true,
    "publisher": "<string>",
    "publisherLock": true,
    "readingDirection": "<string>",
    "readingDirectionLock": true,
    "sharingLabels": [
      "<string>"
    ],
    "sharingLabelsLock": true,
    "status": "<string>",
    "statusLock": true,
    "summary": "<string>",
    "summaryLock": true,
    "tags": [
      "<string>"
    ],
    "tagsLock": true,
    "title": "<string>",
    "titleLock": true,
    "titleSort": "<string>",
    "titleSortLock": true,
    "totalBookCountLock": true,
    "ageRating": 123,
    "totalBookCount": 123
  },
  "name": "<string>",
  "oneshot": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

seriesId
string
required

Response

OK

booksCount
integer<int32>
required
booksInProgressCount
integer<int32>
required
booksMetadata
object
required
booksReadCount
integer<int32>
required
booksUnreadCount
integer<int32>
required
created
string<date-time>
required
deleted
boolean
required
fileLastModified
string<date-time>
required
id
string
required
lastModified
string<date-time>
required
libraryId
string
required
metadata
object
required
name
string
required
oneshot
boolean
required
url
string
required